### Virtual Method

# Gtk.Buildable.add_child

#### Declaration [src]

    void
    add_child (
      GtkBuildable* buildable,
      GtkBuilder* builder,
      GObject* child,
      const char* type
    )

#### Description [src]

Adds a child to `buildable`. `type` is an optional string describing how the child should be added.

#### Parameters

`builder` | `GtkBuilder`
| a `GtkBuilder`
| Ownership is not transferred to the callee
`child` | `GObject*`
| child to add
| Ownership is not transferred to the callee
`type` | `const char*`
| kind of child or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string